Bug 1734688 - [abrt] tor: tor_memeq(): tor killed by SIGABRT
Summary: [abrt] tor: tor_memeq(): tor killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tor
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcel Haerry
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19f743275418dcffd0243715582...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 08:20 UTC by strasharo2000
Modified: 2020-05-26 14:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:30:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (12.18 KB, text/plain)
2019-07-31 08:20 UTC, strasharo2000
no flags Details
File: cgroup (285 bytes, text/plain)
2019-07-31 08:20 UTC, strasharo2000
no flags Details
File: core_backtrace (3.75 KB, text/plain)
2019-07-31 08:20 UTC, strasharo2000
no flags Details
File: cpuinfo (1.02 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: dso_list (1.82 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: environ (221 bytes, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: maps (11.99 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: mountinfo (5.86 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: open_fds (1020 bytes, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details
File: var_log_messages (1.81 KB, text/plain)
2019-07-31 08:21 UTC, strasharo2000
no flags Details

Description strasharo2000 2019-07-31 08:20:51 UTC
Version-Release number of selected component:
tor-0.3.5.8-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/tor --runasdaemon 0 --defaults-torrc /usr/share/tor/defaults-torrc -f /etc/tor/torrc
crash_function: tor_memeq
executable:     /usr/bin/tor
journald_cursor: s=f9f03c38361d4769b3d74f5c05b24219;i=3202d;b=b120c8441d4a46f48869c066db037236;m=11771960581;t=58de737ca2742;x=9ff6833c26d45292
kernel:         5.1.11-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            987

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 tor_memeq at src/lib/ctime/di_ops.c:118
 #1 node_id_eq at src/feature/nodelist/nodelist.c:155
 #2 nodelist_map_HT_FIND_P_ at src/feature/nodelist/nodelist.c:155
 #3 nodelist_map_HT_FIND at src/feature/nodelist/nodelist.c:155
 #4 node_get_mutable_by_id at src/feature/nodelist/nodelist.c:200
 #5 node_get_by_id at src/feature/nodelist/nodelist.c:224
 #6 build_state_get_exit_node at src/core/or/circuitbuild.c:2885
 #7 circuit_stream_is_being_handled at src/core/or/circuituse.c:1056
 #8 circuit_remove_handled_ports at src/core/or/circuituse.c:1012
 #9 circuit_get_unhandled_ports at src/core/or/circuitbuild.c:1688

Comment 1 strasharo2000 2019-07-31 08:20:56 UTC
Created attachment 1594949 [details]
File: backtrace

Comment 2 strasharo2000 2019-07-31 08:20:57 UTC
Created attachment 1594950 [details]
File: cgroup

Comment 3 strasharo2000 2019-07-31 08:20:58 UTC
Created attachment 1594951 [details]
File: core_backtrace

Comment 4 strasharo2000 2019-07-31 08:21:00 UTC
Created attachment 1594952 [details]
File: cpuinfo

Comment 5 strasharo2000 2019-07-31 08:21:01 UTC
Created attachment 1594953 [details]
File: dso_list

Comment 6 strasharo2000 2019-07-31 08:21:02 UTC
Created attachment 1594954 [details]
File: environ

Comment 7 strasharo2000 2019-07-31 08:21:03 UTC
Created attachment 1594955 [details]
File: limits

Comment 8 strasharo2000 2019-07-31 08:21:05 UTC
Created attachment 1594956 [details]
File: maps

Comment 9 strasharo2000 2019-07-31 08:21:06 UTC
Created attachment 1594957 [details]
File: mountinfo

Comment 10 strasharo2000 2019-07-31 08:21:07 UTC
Created attachment 1594958 [details]
File: open_fds

Comment 11 strasharo2000 2019-07-31 08:21:08 UTC
Created attachment 1594959 [details]
File: proc_pid_status

Comment 12 strasharo2000 2019-07-31 08:21:09 UTC
Created attachment 1594960 [details]
File: var_log_messages

Comment 13 Ben Cotton 2020-04-30 21:27:24 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2020-05-26 14:30:35 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.